Package io.vertx.rxjava3.openapi.contract

## Class MediaType

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.MediaType

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MediaType
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface represents the most important attributes of an OpenAPI Operation.
  Operation V3.1
  Operation V3.0

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MediaType>` | `__TYPE_ARG` |
    `static String` | `APPLICATION_HAL_JSON` |
    `static String` | `APPLICATION_JSON` |
    `static String` | `APPLICATION_JSON_UTF8` |
    `static String` | `APPLICATION_OCTET_STREAM` |
    `static String` | `MULTIPART_FORM_DATA` |
    `static List<String>` | `SUPPORTED_MEDIA_TYPES` |
    `static String` | `TEXT_PLAIN` |
    `static String` | `TEXT_PLAIN_UTF8` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaType​(MediaType delegate)` |
    `MediaType​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `MediaType` | `getDelegate()` |
    `String` | `getIdentifier()` |
    `JsonSchema` | `getSchema()` | This method returns the schema defined in the media type.
    `int` | `hashCode()` |
    `static boolean` | `isMediaTypeSupported​(String type)` |
    `static boolean` | `isVendorSpecificJson​(String type)` |
    `static MediaType` | `newInstance​(MediaType arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MediaType> __TYPE_ARG

    - #### APPLICATION_JSON

          public static final String APPLICATION_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON_UTF8

          public static final String APPLICATION_JSON_UTF8

      See Also:
        Constant Field Values

    - #### MULTIPART_FORM_DATA

          public static final String MULTIPART_FORM_DATA

      See Also:
        Constant Field Values

    - #### APPLICATION_HAL_JSON

          public static final String APPLICATION_HAL_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_OCTET_STREAM

          public static final String APPLICATION_OCTET_STREAM

      See Also:
        Constant Field Values

    - #### TEXT_PLAIN

          public static final String TEXT_PLAIN

      See Also:
        Constant Field Values

    - #### TEXT_PLAIN_UTF8

          public static final String TEXT_PLAIN_UTF8

      See Also:
        Constant Field Values

    - #### SUPPORTED_MEDIA_TYPES

          public static final List<String> SUPPORTED_MEDIA_TYPES

  - ### Constructor Detail

    - #### MediaType

          public MediaType​(MediaType delegate)

    - #### MediaType

          public MediaType​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MediaType getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### isMediaTypeSupported

          public static boolean isMediaTypeSupported​(String type)

    - #### isVendorSpecificJson

          public static boolean isVendorSpecificJson​(String type)

    - #### getSchema

          public JsonSchema getSchema()

      This method returns the schema defined in the media type.

      In OpenAPI 3.1 it is allowed to define an empty media type model. In this case the method returns null.
      Returns:
        the schema defined in the media type model, or null in case no media type model was defined.

    - #### getIdentifier

          public String getIdentifier()

      Returns:
        the identifier like application/json

    - #### newInstance

          public static MediaType newInstance​(MediaType arg)